    {% if post %}
        {% set post = post|merge( { 'karma': post.karma_up - post.karma_down } ) %}
        {% set karma = post.karma <= settings.karma_treshold %}
    {% endif %}

    {# Get avatar #}

    {% set show_avatars = profile.settings.show_avatars|default('1') %}

    {% if show_avatars %}
        {% set avatar_src = post.author.avatars[16] %}
    {% endif %}

    {# Get message #}

    {% if post.reply_to %}
        {% set msg %}
            <a dir="ltr" class="reply_to" href="{{ post.reply_to.link }}"><img src="http://xtgem.com/images/forum/icons/reply.png" class="reply-ico" alt="*" /> {{ post.reply_to.author_name }}</a> {{post.body|raw}}
        {% endset %}
    {% else %}
        {% set msg %}
            {{post.body|raw }}
        {% endset %}
    {% endif %}

    {% if karma %}
        {% if not post.main_post %}
            {% set msg %}
                <span class="karma-notice">{{ translate ( 'post_karma_hidden' ) }}
                    <a
                        href="{{ post.karma_link }}"
                        title="{{ translate ( 'view_hidden_post' ) }}"
                        onclick="document.getElementById('body_{{ post.id }}').style.display='inline';this.parentNode.style.display='none';return false;"
                       >{{ translate ( 'click_here_to_view_post' ) }}</a>.
                </span>
                <span id="body_{{ post.id }}" style="display: none;">
                    {{msg|raw}}
                </span>
            {% endset %}
        {% endif %}
    {% endif %}

    {% if post.karma == 0 %}
        {% set karma_value_name = 'neutral' %}
    {% elseif post.karma > 0 %}
        {% set karma_value_name = 'positive' %}
    {% else %}
        {% set karma_value_name = 'negative' %}
    {% endif %}

    {# Post block #}
    <div class="post{{ post.main_post ? ' marked' : '' }}{{ view == 'thread' ? '' : ' single' }}{% if post.admin_post %} admin_post{% endif %}" id="post_{{ post.id }}">
        {# Author and avatar #}
        {% if post.author %}
            {% if show_avatars %}
            <span class="author"><img src="{{avatar_src}}" alt="*" class="ico" />&nbsp;{% endif %}<a href="{{ post.author.link }}" title="{{ translate ( 'view_user_profile', post.author.name ) }}">{{ post.author.name }}</a></span>
        {% else %}
            <span class="ano">{{ post.anonymous_name }}</span>
        {% endif %}

        {{ msg|raw }}
        {# Meta information about post #}
        <div class="meta">

            <a href="{{ post.link }}" title="{{translate ('permalink_title')}}" class="permalink">{{translate ('permalink_symbol')}}</a>

            {{ post.created_at|date_timezoned(translate ('time_date_format')) }}

            {% if post.attachments %}
                <div class="attachments">
                {% for attachment in post.attachments %}
                    {% if attachment.thumbnails %}
                        {% if profile %}
                            <a href="{{ attachment.link }}" class="thumbnail" target="_blank"><img src="{{ attachment.thumbnails.128 }}" alt="*" /></a>
                        {% else %}
                            <img src="{{ attachment.thumbnails.128 }}" class="thumbnail"  alt="*" />
                        {% endif %}
                    {% endif %}
                {% endfor %}
                <div class="downloadable">
                    {% for attachment in post.attachments %}
                        <div>
                            <img src="http://xtgem.com/images/forum/icons/attachment.gif" alt="*" class="ico ico-attachment" />
                            {% if profile %}
                                <a href="{{ attachment.link }}" class="attachment">{{ attachment.name }} {{ translate ( 'spacer' ) }} {{ attachment.mime }} {{ translate ( 'spacer' ) }} {{ attachment.size|bytes }} </a>
                            {% else %}
                                <span>{{ attachment.name }} {{ translate ( 'spacer' ) }} {{ attachment.mime }} {{ translate ( 'spacer' ) }} {{ attachment.size|bytes }}</span>
                            {% endif %}
                        </div>
                    {% endfor %}
                </div>
                </div>
            {% endif %}

            {% if post.last_update %}
                ({{ translate ( 'edited_at_by', post.last_update|date_timezoned(translate ('time_date_format')) ) }} <a href="{{ post.last_update_by.link }}">{{ post.last_update_by.name }}</a> )
            {% endif %}

            {% if settings.allow_anonymous_posting or profile and not thread.is_closed and not settings.maintenance %}
                {# Edit link #}
                {% if profile and ( post.owner or profile.can_edit_post ) %}
                   {{ translate ( 'spacer' ) }} <a href="{{ post.edit_link }}">{{ translate ( 'edit' ) }}</a>
                {% endif %}
                {{ translate ( 'spacer' ) }} <a href="{{ post.reply_link }}">{{ translate ( 'reply' ) }}</a>
            {% endif %}
            {{ translate ( 'spacer' ) }}
            {% if profile and post.can_rate %}
                {% if view == 'thread' %}
                    <a class="karma down" href="{{ thread.link }}{{ link_with_get ('rate', -1) }}&post={{ post.id }}#post_{{ post.id }}" id="rd{{ post.id }}" onclick="{{ script.rate( -1, post.karma, post.id ) }}">-</a><!--
                    -->&nbsp;<span id="r{{ post.id }}">({{ post.karma }})</span><!--
                    -->&nbsp;<a class="karma up" href="{{ thread.link }}{{ link_with_get ('rate', 1) }}&post={{ post.id }}#post_{{ post.id }}" id="ru{{ post.id }}" onclick="{{ script.rate( 1, post.karma, post.id ) }}">+</a>
                {% else %}
                    {# Individual post karma#}
                    <a class="karma down" href="{{ post.link }}?rate=-1" id="rd{{ post.id }}" onclick="{{ script.rate( -1, post.karma, post.id ) }}">-</a><!--
                    -->&nbsp;<span id="r{{ post.id }}" class="karma_value {{karma_value_name}}">({{ post.karma }})</span><!--
                    -->&nbsp;<a href="{{ post.link }}?rate=1" id="ru{{ post.id }}" class="karma up" onclick="{{ script.rate( 1, post.karma, post.id ) }}">+</a>
                {% endif %}
            {% else  %}
                <span class="karma_value {{karma_value_name}}">({{ post.karma }})</span>
            {% endif %}
            {% if profile.can_delete %}
                <a href="{{ post.delete_link }}">{{ translate ( 'delete' ) }}</a>
            {% endif %}
        </div>
    </div>