{% use "my_blocks.js" %}
{% set view = "categories" %}
        {{block('menu')}}
        {# this assign need for breadcrumbs below #}
        {% if categories|length == 1 %}
            {% set category = categories|first %}
        {% endif %}
        {{block('breadcrumbs')}}
        {{block('messages')}}

        {% for category in categories %}

            {# Wrapping categories to seperate containers, if user wants to change it individually #}
            {% if categories|length != 1 %}
                <div class="category id_{{category.id}}">
                    <a href="{{ category.link }}" title="{{ category.title }}"><b>{{ category.title }}</b></a>
            {% endif %}

                <div class="boards">
                    {% for board in category.boards %}

                        <div class="board">
                            <img src="http://xtgem.com/images/forum/icons/board-{{ not board.read ? 'unread' : 'read' }}.png" alt="*" class="ico" />
                            <a href="{{ board.link }}" title="{{ board.title }}">{{ board.title }}</a> <small {{ not board.read ? 'class="unread"' : '' }}> ({{board.threads_count}}/{{board.posts}})</small>

                            {% set _online = get_online ( '/category_' ~ category.id ~ '/board_' ~ board.id  ) %}
                            {% if _online > 0 %}
                                <img src="http://xtgem.com/images/forum/icons/online.gif" alt="On: " class="ico" /><small>{{ _online }}</small>
                            {% endif %}

                            {% if board.description %}
                                <div class="descr">{{board.description}}</div>
                            {% endif %}

                            {# If showing only one category, we will show some threads also #}
                            {% if board.threads %}
                                {% for thread in board.threads %}{{block('thread')}}{% endfor %}
                                {% if board and board.threads_count > settings.threads_per_board %}
                                    <img src="http://xtgem.com/images/forum/icons/placeholder.gif" alt="ico-spacer" class="ico" />
                                    <a
                                        href="{{ board.link }}?show_all=1"
                                       >{{ translate ( 'view_all_threads', board.threads_count ) }} &rarr;</a
                                    >
                                {% endif %}
                            {% endif %}
                        </div>

                    {% endfor %}
                </div>

            {% if categories|length != 1 %}
                    </div>
            {% endif %}
        {% endfor %}

        {{block('pagination')}}
        {{block('search')}}
        {{block('breadcrumbs')}}
        {{block('online')}}