{% use "my_blocks.js" %}
        {% set board = category.boards|first %}
        {% set thread = board.threads|first %}
        {# ACTION #}
        {% if reply_to_thread %}
            {# REPLY TO THREAD #}
            {% set action_route %}{{ thread.reply_to_link }}{% endset %}
            {% set tail = translate ( 'reply_to_thread' ) %}
        {% elseif edit_post %}
            {# EDIT POST #}
            {% set action_route %}{{ post.edit_link }}{% endset %}
            {% set tail = translate ( 'edit_post' ) %}
        {% elseif reply_to %}
            {# REPLY TO POST #}
            {% set action_route %}{{ post.reply_link }}{% endset %}
            {% set tail = translate ( 'reply_to_post' ) %}
        {% endif %}
        {{block('menu')}}
        {{block('breadcrumbs')}}

        {% if settings.allow_anonymous_posting or profile %}
            {# for feedback #}
            {{block('messages')}}

{% if not user_silenced %}
                {% if reply_to %}
                    {% set post = thread.posts|first %}
                    {% import _self as script %}
                    {{block('post_view')}}
                {% elseif edit_post %}
                    {% set post = thread.posts|first %}
                {% endif %}

                <form action="{{ action_route }}" method="post" class="post edit"{% if settings.allow_attachments %} enctype="multipart/form-data"{% endif %}>

                    {% if not profile %}
                        <label>{{ translate ( 'your_name' ) }}:<br><input class="input" type="text" name="name" value="{{ input.name }}"></label>
                    {% endif %}

                    <label>{{ translate ( 'your_message' ) }}:<textarea name="message">{{ input.message }}</textarea></label>

                    {% if not profile %}
                        <label>
                            <input type="hidden" name="hash" value="{{ captcha.hash }}" />
                            {{ translate ( 'enter_captcha' ) }}: <br />
                            <img src="{{ captcha.url }}" alt="{{ translate ( 'captcha_error_images_off' ) }}" />
                            <br>
                            <input class="text" type="text" name="code" value="" />
                        </label>
                    {% endif %}

                    {% if settings.allow_attachments and profile %}
                        {% if tmp_post_attachments %}
                            {% for attachment in tmp_post_attachments %}
                                <input type="hidden" name="file[]" value="{{ attachment.path }}">
                                <div>{{ attachment.name }}</div>
                            {% endfor %}

                            {% if tmp_post_attachments|length < 1 %}{{ translate ( 'attachments' ) }}:<br />{% endif %}
                            {% if tmp_post_attachments|length < 1 %}<input type="file" name="file[]" /><br />{% endif %}
                            {% if tmp_post_attachments|length < 2 %}<input type="file" name="file[]" /><br /> {% endif %}
                            {% if tmp_post_attachments|length < 3 %}<input type="file" name="file[]" /><br />{% endif %}
                        {% endif %}

                        {% if edit_post %}
                            {% if post.attachments %}
                                {% for attachment in post.attachments %}
                                    <div>{{ attachment.name }} {{ attachment.mime }} ( {{ attachment.size|bytes }} ) <a href="{{ attachment.delete_link }}">{{ translate ( 'attachment_delete' )}}</a></div>
                                {% endfor %}
                            {% endif %}

                            {% if not tmp_post_attachments %}
                                {% if not post.attachments or post.attachments|length < 1 %} {{ translate ( 'attachments' ) }}:<br />{% endif %}
                                {% if not post.attachments or post.attachments|length < 1 %}<input type="file" name="file[]" /><br /> {% endif %}
                                {% if not post.attachments or post.attachments|length < 2 %}<input type="file" name="file[]" /><br />{% endif %}
                                {% if not post.attachments or post.attachments|length < 3 %}<input type="file" name="file[]" /><br />{% endif %}
                            {% endif %}

                        {% else %}
                            {% if not tmp_post_attachments %}
                                {{ translate ( 'attachments' ) }}:<br />
                                <input type="file" name="file[]" /><br />
                                <input type="file" name="file[]" /><br />
                                <input type="file" name="file[]" /><br />
                            {% endif %}
                        {% endif %}
                    {% endif %}
                    <br />
                    <input type="submit" class="submit" value="{{ translate ( 'post' ) }}">
                    <input type="submit" name="__preview" class="submit alt" value="{{ translate ( 'preview' ) }}">
                </form>
            {% endif %}
        {% else %}
            {% if account %}
                <a href="{{ join_link }}">{{ translate ( 'join_to_post' ) }}</a>
            {% else %}
                <a href="{{ register_link }}">{{ translate ( 'register_to_post' ) }}</a>
            {% endif %}
        {% endif %}
        {{block('breadcrumbs')}}
        {{block('online')}}