{% use "my_blocks.js" %}
          {{block('menu')}}
        {% set tail = translate ( 'modlog' ) %}
        {{block('breadcrumbs')}}
        {{block('messages')}}

        <table id="modlog">
            {% if modlog %}
                    {# Table title #}
                    <caption><h4 class="modlog_title">{{ translate ( 'modlog_title' ) }}</h4></caption>
                    {# Headers #}
                    <tr>
                        <th>{{ translate ( 'time' ) }}</th>
                        <th>{{ translate ( 'community_name' ) }}</th>
                        <th>{{ translate ( 'action' ) }}</th>
                        <th>{{ translate ( 'action_details' ) }}</th>
                    </tr>
                {% for row in modlog %}
                    <tr>
                        {# Time #}
                        <td>
                            {{ row.stamp|date( 'Y-m-d H:i:s') }}
                        </td>
                        {# Mod name #}
                        <td>
                            <a href="{{ row.moderator.link }}">{{ row.moderator.name }}</a>
                        </td>

                        {# Action #} {# Action details #}
                        {% if ( row.action == 'edit_post' ) %}
                            <td>
                                {{ translate ( 'edited' ) }}
                            </td>
                            <td>
                                {{ translate ( 'post_with_link', row.post_link ) }}
                                {{ translate ( 'in' ) }}
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}.
                            </td>
                        {% elseif ( row.action == 'delete_post' ) %}
                            <td>
                                {{ translate ( 'deleted' ) }}
                            </td>
                            <td>
                                {{ translate ( 'a_post' ) }}
                                {{ translate ( 'in' ) }}
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}.
                            </td>
                        {% elseif ( row.action == 'delete_thread' ) %}
                            <td>
                                {{ translate ( 'deleted' ) }}
                            </td>
                            <td>
                                {{ translate ( 'thread_with_link', row.thread_link, row.params.thread_title ) }}
                                {{ translate ( 'in' ) }}
                                {{ translate ( 'board_fullpath', row.board_link, row.params.category_title, row.params.board_title ) }}
                            </td>
                        {% elseif ( row.action == 'restrict_user' ) %}
                            <td>
                                {{ translate ( 'restricted' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'unrestrict_user' ) %}
                            <td>
                                {{ translate ( 'unrestricted' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'silence_user' ) %}
                            <td>
                                {{ translate ( 'silenced' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'unsilence_user' ) %}
                            <td>
                                {{ translate ( 'unsilenced' )}} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'approve_user' ) %}
                            <td>
                                {{ translate ( 'approved' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'unapprove_user' ) %}
                            <td>
                                {{ translate ( 'unapproved' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'unban_user' ) %}
                            <td>
                                {{ translate ( 'unbanned' ) }} {{ translate ( 'user' ) }}
                            </td>
                            <td>
                                {{ translate ( 'user_with_link', row.profile_link, row.params.user_name ) }}
                                {% if row.params.user_name != row.params.user_name_now %}
                                    {{ translate ( 'currently_known_as_with_link', row.profile_link, row.params.user_name_now ) }}
                                {% endif %}
                            </td>
                        {% elseif ( row.action == 'pin_thread' ) %}
                            <td>
                                {{ translate ( 'pinned' ) }}
                            </td>
                            <td>
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}
                            </td>
                        {% elseif ( row.action == 'unpin_thread' ) %}
                            <td>
                                {{ translate ( 'unpinned' ) }}
                            </td>
                            <td>
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}
                            </td>
                        {% elseif ( row.action == 'close_thread' ) %}
                            <td>
                                {{ translate ( 'closed' ) }}
                            </td>
                            <td>
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}
                            </td>
                        {% elseif ( row.action == 'open_thread' ) %}
                            <td>
                                {{ translate ( 'opened' ) }}
                            </td>
                            <td>
                                {{ translate ( 'thread_fullpath', row.thread_link, row.params.category_title, row.params.board_title, row.params.thread_title ) }}
                            </td>
                        {% else %}
                            <td>{{row.action}}</td>
                            <td></td>
                        {% endif %}
                    </tr>
                {% endfor %}
            {% else %}
                <caption class="no_data"><h4 class="modlog_title">{{ translate ( 'no_records' ) }}.</h4></caption>
            {% endif %}
        </table>

        {{block('pagination')}}
        {{block('breadcrumbs')}}
        {{block('online')}}