{% use "my_blocks.js" %}
        {% set view  = 'new_thread' %}
        {% set board = category.boards|first %}

        {% if settings.allow_anonymous_posting or profile %}

            {{block('menu')}}
            {{block('breadcrumbs')}}
            {{block('messages')}}

            {% if not user_silenced %}

                <form action="{{ board.new_thread_link }}" method="post" class="thread new"{% if settings.allow_attachments %} enctype="multipart/form-data"{% endif %}>
                    <label>{{ translate ( 'thread_title' ) }}:<br><input class="input" type="text" name="title" value="{{ input.title }}"></label>

                    {% if not profile %}
                        <label>{{ translate ( 'your_name' ) }}:<br><input class="input" type="text" name="name" value="{{ input.name }}"></label>
                    {% endif %}

                    <label>{{ translate ( 'your_message' ) }}:<textarea name="message">{{ input.message }}</textarea></label>

                    {% if not profile %}
                        <label>
                            <input type="hidden" name="hash" value="{{ captcha.hash }}" />
                            {{ translate ( 'enter_captcha' ) }}: <br />
                            <img src="{{ captcha.url }}" alt="{{ translate ( 'captcha_error_images_off' ) }}" />
                            <br>
                            <input class="text" type="text" name="code" value="" />
                        </label>
                    {% endif %}

                    {% if settings.allow_attachments and profile %}

                        {% if tmp_post_attachments %}
                            {% for attachment in tmp_post_attachments %}
                                <input type="hidden" name="file[]" value="{{ attachment.path }}">
                                <div>{{ attachment.name }}</div>
                            {% endfor %}

                            {% if tmp_post_attachments|length < 1 %}
                                {{ translate ( 'attachments' ) }}:<br />
                            {% endif %}
                            {% if tmp_post_attachments|length < 1 %}
                                <input type="file" name="file[]" /><br />
                            {% endif %}
                            {% if tmp_post_attachments|length < 2 %}
                                <input type="file" name="file[]" /><br />
                            {% endif %}
                            {% if tmp_post_attachments|length < 3 %}
                                <input type="file" name="file[]" /><br />
                            {% endif %}

                        {% endif %}

                        {% if edit_post %}
                            {% if post.attachments %}
                                {% for attachment in post.attachments %}
                                    <div>{{ attachment.name }} {{ attachment.mime }} ( {{ attachment.size|bytes }} ) <a href="{{ attachment.delete_link}}">{{ translate ( 'delete' ) }}</a></div>
                                {% endfor %}
                            {% endif %}

                            {% if not tmp_post_attachments %}
                                {% if not post.attachments or post.attachments|length < 1 %}
                                    {{ translate ( 'attachments' ) }}:<br />
                                {% endif %}
                                {% if not post.attachments or post.attachments|length < 1 %}
                                    <input type="file" name="file[]" /><br />
                                {% endif %}
                                {% if not post.attachments or post.attachments|length < 2 %}
                                    <input type="file" name="file[]" /><br />
                                {% endif %}
                                {% if not post.attachments or post.attachments|length < 3 %}
                                    <input type="file" name="file[]" /><br />
                                {% endif %}
                            {% endif %}

                        {% else %}
                            {% if not tmp_post_attachments %}
                                {{ translate ( 'attachments' ) }}:<br />
                                <input type="file" name="file[]" /><br />
                                <input type="file" name="file[]" /><br />
                                <input type="file" name="file[]" /><br />
                            {% endif %}
                        {% endif %}
                    {% endif %}

                    <br />
                    <input class="submit" type="submit" value="{{ translate ( 'submit_thread' ) }}">
                    <input class="submit alt" type="submit" name="__preview" value="{{ translate ( 'preview' ) }}">

                </form>

            {% endif %}
            {{block('breadcrumbs')}}
        {% else %}
            {% if account %}
                <a href="{{ join_link }}">{{ translate ( 'join_to_post' ) }}</a>
            {% else %}
                <a href="{{ register_link }}">{{ translate ( 'register_to_post' ) }}</a>
            {% endif %}
        {% endif %}
        {{block('online')}}