{% use "my_blocks.js" %}
        {{block('menu')}}
        {% set tail = translate ( 'options' ) %}
        {{block('breadcrumbs')}}
        {{block('messages')}}

        <form action="{{ options_link }}" method="post" class="settings edit">
            <h1 title="{{ translate ( 'display_options' ) }}">{{ translate ( 'display_options' ) }}</h1>

            {% set karma_title %}
                {{ translate ( 'karma_threshold' ) }} <span class="descr">{{ translate ( 'karma_threshold_descr' ) }}</span>
            {% endset %}

            {#{#}
            {#'title':        'Categories per page',#}
            {#'name':         'categories_per_page',#}
            {#'selected':     profile.settings.categories_per_page,#}
            {#'suboptions':   [ 2,3,5,10 ]#}
            {#},#}
            {#{#}
            {#'title':        'Threads per board',#}
            {#'name':         'threads_per_board',#}
            {#'selected':     profile.settings.threads_per_board,#}
            {#'suboptions':   [ 0,3,5,10,20 ]#}
            {#},#}

            {%
                set options = [
                    {
                        'title':        translate ( 'threads_per_page_in_board' ),
                        'name':         'threads_per_page',
                        'selected':     profile.settings.threads_per_page,
                        'suboptions':   [ 5, 10, 15, 20, 25, 30 ]
                    },
                    {
                        'title':        translate ( 'replies_per_page_in_thread' ),
                        'name':         'posts_per_page',
                        'selected':     profile.settings.posts_per_page,
                        'suboptions':   [ 3, 5, 10, 20 ]
                    },
                    {
                        'title':        translate ( 'search_results_per_page' ),
                        'name':         'search_per_page',
                        'selected':     profile.settings.search_per_page,
                        'suboptions':   [ 3, 5, 10, 15, 20 ]
                    },
                    {
                        'title':        karma_title,
                        'name':         'karma_treshold',
                        'selected':     profile.settings.karma_treshold,
                        'suboptions':   [ -10, -5, -3, -1 ]
                    },
                    {
                        'title':        translate ( 'show_avatars' ),
                        'name':         'show_avatars',
                        'different_values': true,
                        'selected':     profile.settings.show_avatars,
                        'suboptions':   { '1': 'Yes', '0': 'No' }
                    },
                    {
                        'title':        translate ( 'default_reply_sorting' ),
                        'name':         'reply_sorting',
                        'different_values': true,
                        'selected':     profile.settings.reply_sorting,
                        'suboptions':   { '1': translate ( 'oldest_first' ) , '-1': translate ( 'newest_first' ) }
                    },
                ]
            %}

            {% for option in options %}
                <label>
                    {{option.title}}:
                    <select name="{{option.name}}">
                        {% if option.different_values %}

                            {% for value, suboption in option.suboptions %}
                                <option value="{{value}}" {{option.selected == value ? 'selected="selected"' : ''}}>
                                    {{suboption}}
                                </option>
                            {% endfor %}

                        {% else %}

                            {% for value, suboption in option.suboptions %}
                                <option value="{{suboption}}" {{option.selected == suboption ? 'selected="selected"' : ''}}>
                                    {{suboption}}
                                </option>
                            {% endfor %}

                        {% endif %}
                    </select>
                </label>
            {% endfor %}
            <input type="submit" class="submit" value="{{ translate ( 'save_display_options' )}}" />
        </form>
        {{block('breadcrumbs')}}
        {{block('online')}}