{% use "my_blocks.js" %}
     {% set board = category.boards|first %}
        {% set thread = board.threads|first %}
        {% if thread|length %}
            {% set post = thread.posts|first %}
        {% endif %}

        {{block('menu')}}
        {% set tail = translate ( 'preview' ) %}
        {{block('breadcrumbs')}}

        <div class="post single">

            {% if profile %}
                <img class="ico" alt="{{ translate ( 'avatar' ) }}" src="{{ profile.avatars [ 16 ] }}" />
            {% endif %}

            {% if profile %}
                <a
                    href="{{ profile.link }}"
                    title="{{ translate ( 'view_user_profile', profile.name ) }}"
                   >{{ profile.community_name }}</a
                >
            {% else %}
                <span class="ano">{{ input.name }}</span>
            {% endif %}

            {% if post.reply_to %}
                <a class="reply_to" href="{{ post.reply_to.link }}"><img src="http://xtgem.com/images/forum/icons/reply.png" alt="*" /> {% if post.reply_to.author_name %}{{ post.reply_to.author_name}}{% else %}{{ post.reply_to.anonymous_name }}{% endif %}</a> {{ input.message_parsed|raw }}
            {% else %}
                {{ input.message_parsed|raw }}
            {% endif %}

            {% if profile %}
                {% if tmp_attachments %}
                    {% for attachment in tmp_attachments %}
                        <div><img src="http://xtgem.com/images/forum/icons/attachment.gif" alt="*" class="ico ico-attachment" /><span>{{ attachment.name }} &middot; {{ attachment.size|bytes }}</span></div>
                    {% endfor %}
                {% endif %}
                {% if tmp_post_attachments %}
                    {% for attachment in tmp_post_attachments %}
                        <div><img src="http://xtgem.com/images/forum/icons/attachment.gif" alt="*" class="ico ico-attachment" /><span>{{ attachment.name }}</span></div>
                    {% endfor %}
                {% endif %}
            {% endif %}

            <div class="meta"># {{ "now"|date_timezoned("Y-m-d H:i") }}</div>
        </div>

        <form action="{{action_route}}" method="post" class="preview new">
            {% if profile %}
                {% if tmp_attachments %}
                    {% for attachment in tmp_attachments %}
                        <input type="hidden" name="file[]" value="{{ attachment.path }}">
                    {% endfor %}
                {% endif %}
                {% if tmp_post_attachments %}
                    {% for attachment in tmp_post_attachments %}
                        <input type="hidden" name="file[]" value="{{ attachment.path }}">
                    {% endfor %}
                {% endif %}
            {% else %}
                <input type="hidden" name="name" value="{{ input.name }}">
            {% endif %}
                <input type="hidden" name="message" value="{{ input.message }}">
                <input type="hidden" name="title" value="{{ input.title }}">
                <input type="submit" name="__edit" class="submit alt" value="Edit">
                <input type="submit" name="submit" class="submit" value="Submit">
        </form>

        {{block('breadcrumbs')}}
        {{block('online')}}