{% use "my_blocks.js" %}
        {% set view = 'thread' %}
        {% set board = category.boards|first %}
        {% set thread = board.threads|first %}
        {{block('menu')}}
        {{block('breadcrumbs')}}
        {% if thread %}
            {{block('messages')}}
            <div class="controls compo">
                {% if thread.is_closed %}
                        {{ translate ( 'thread_closed' ) }}
                {% endif %}
                {% if settings.allow_anonymous_posting or profile %}
                    {% if not thread.is_closed %}
                        <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ thread.reply_to_link }}">{{ translate ( 'post_reply' ) }}</a>
                    {% endif %}
                    {% if invite_users_left != 0 and profile %}
                        {{ translate ( 'spacer' ) }} <a href="{{ thread.invite_link }}" title="{{ translate ( 'invite_friends_title' ) }}">{{ translate ( 'invite_friends' ) }}</a>
                    {% else %}
                        {{ translate ( 'spacer' ) }} {{ translate ( 'invite_friends' ) }}
                    {% endif %}
                    {% if profile.can_delete %}
                       {{ translate ( 'spacer' ) }} <a href="{{ thread.delete_thread_link }}">{{ translate ( 'delete' ) }}</a>
                    {% endif %}
                    {% if profile.can_pin %}
                        {% if thread.is_pinned %}
                            {{ translate ( 'spacer' ) }} <a href="{{ thread.link }}?act=unpin">{{ translate ( 'unpin' ) }}</a>
                        {% else %}
                            {{ translate ( 'spacer' ) }} <a href="{{ thread.link }}?act=pin">{{ translate ( 'pin' ) }}</a>
                        {% endif %}
                    {% endif %}
                    {% if profile.can_close %}
                        {% if thread.is_closed %}
                            {{ translate ( 'spacer' ) }} <a href="{{ thread.link }}?act=open">{{ translate ( 'open' ) }}</a>
                        {% else %}
                            {{ translate ( 'spacer' ) }} <a href="{{ thread.link }}?act=close">{{ translate ( 'close' ) }}</a>
                        {% endif %}
                    {% endif %}
                    {% if thread.owner or profile.can_edit_thread %}
                        {{ translate ( 'spacer' ) }} <a href="{{ thread.edit_thread_link}}">{{ translate ( 'rename' ) }}</a>
                    {% endif %}
                {# generic part #}
                {% elseif account %}
                    <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ join_link }}" title="{{ translate ( 'join' ) }}" >{{ translate ( 'join_to_reply' ) }}</a>
                {% else %}
                    <img src="http://xtgem.com/images/forum/icons/new.png" class="ico" alt="*" /><a href="{{ login_link }}" title="{{ translate ( 'login' )}}" rel="nofollow">{{ view == 'board' ? translate ( 'login_to_start_thread' ) : translate ( 'login_to_reply' ) }}</a>
                {% endif %}

                {# reverse post ( oldest first) #}
                {% if reversed_sort %}
                    {% if not profile or profile.settings.reply_sorting == 1 %}
                        {{ translate ( 'spacer' ) }}<a href="?reversed=0" title="{{ translate ( 'from_start' ) }}">{{ translate ( 'from_start' ) }}</a>
                    {% else %}
                        {{ translate ( 'spacer' ) }} <a href="?reversed=0" title="{{ translate ( 'from_end' ) }}">{{ translate ( 'from_end' ) }}</a>
                    {% endif %}
                {% else %}
                    {% if not profile or profile.settings.reply_sorting == 1 %}
                        {{ translate ( 'spacer' ) }} <a href="?reversed=1" title="{{ translate ( 'from_end' ) }}">{{ translate ( 'from_end' ) }}</a>
                    {% else %}
                        {{ translate ( 'spacer' ) }} <a href="?reversed=1" title="{{ translate ( 'from_start' ) }}">{{ translate ( 'from_start' ) }}</a>
                    {% endif %}
                {% endif %}
            </div>
            <div class="thread">
                {% import _self as script %}
                {% for post in thread.posts %}{{block('post_view')}}{% endfor %}
            </div>
            {{block('controls')}}
            {{block('pagination')}}
            {{block('search')}}
        {% endif %}
        {{block('breadcrumbs')}}
        {{block('online')}}